Subject: Notification: incoming/794

From: [email-masked]
Date: Thu, 18 Oct 2001 06:59:10 -0500

FVWM Bug Tracking notification

new message incoming/794

Message summary for PR#794
	From: [email-masked]
	Subject: Problems with numpad and modifier key keybindings
	Date: Thu, 18 Oct 2001 06:59:09 -0500
	0 replies 	0 followups

====> ORIGINAL MESSAGE FOLLOWS <====

>From [email-masked] Thu Oct 18 06:59:10 2001
From: [email-masked]
To: [email-masked]
Subject: Problems with numpad and modifier key keybindings
Date: Thu, 18 Oct 2001 06:59:09 -0500

Full_Name: 
Version: 2.4.3
CVS_Date: 
OS: Red Hat Linux 6.2
X_Server: Xfree 3.3.6
Submission from: (NULL) (129.240.148.21)

After upgrading from Fvwm 2.4.0 to 2.4.3, some of my keybindings stopped
working. After a bit of testing I found that I needed to use KP_Left
instead of KP_4 etc. in the below:

Key KP_4	A	M	Scroll -100 +0
Key KP_Left	A	M	Scroll -100 +0
<snip>

I cannot make these work with Shift+Control at all, however if I exchange
Shift for Meta they work:

Key KP_4	A	SC	CursorMove -1 0
Key KP_Left	A	SC	CursorMove -1 0
Key KP_6	A	SC	CursorMove +1 +0
Key KP_Right	A	SC	CursorMove +1 +0
<snip>

I have Control+<numpad key> bound to other actions, which now happens
regardless if I have Shift pressed or not, so it seems Shift is here
ignored, or something like that.

While with Shift+Meta, it worked as before; I did not need to use KP_Left
etc.:

Key KP_4	A	SM	CursorMove -10 +0
Key KP_6	A	SM	CursorMove +10 +0
<snip>

My old keybindings worked fine with Fvwm 2.4.3 on Solaris 2.7.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]